/*!
 * @file power_up.h
 * @brief A class representing a PowerUp in the world.
*/

#ifndef _POWER_UP_H
#define _POWER_UP_H

#include "world_entity.h"

typedef enum PowerUpType
{
  PWR_UP_NULL,
  PWR_UP_SHIELD,
  PWR_UP_WEAPON,
} PowerUpType;

class PowerUp : public WorldEntity {

public:
  PowerUp(PowerUpType type = PWR_UP_NULL);
  PowerUp(const TiXmlElement* root);
  virtual ~PowerUp ();
  void loadParams(const TiXmlElement* root);
  void collidesWith (WorldEntity* entity, const Vector& location);

private:
  PowerUpType type;
  void init();
};

#endif /* _POWER_UP_H */
